For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Virtual Account

Update Virtual Account

put
/v0/customers/{customer_id}/virtual-account/{virtual_account_id}

Updates the destination address and/or developer fee of an existing active virtual account

Authorizations
Api-KeystringRequired
Path parameters
customer_idstringRequired

The unique identifier of the customer

virtual_account_idstringRequired

The unique identifier of the virtual account

Body

At least one of the fields must be provided

destination_addressstringOptional

The new blockchain address where the funds will be sent

developer_fee_percentstringOptional

Custom developer fee percentage for the Virtual Account

Example: 0.5Pattern: ^[0-9]+(\.[0-9]+)?$
destination_tokenstring · enumOptional

The currency to be deposited

Possible values:
Responses
200

Successfully updated virtual account

application/json
idstring · uuidOptional

The unique identifier for the virtual account

statusstring · enumOptional

The current status of the virtual account

Possible values:
destination_tokenstring · enumOptional

The currency to be deposited

Possible values:
destination_networkstring · enumOptional

The blockchain network for the destination

Possible values:
destination_addressstringOptional

The blockchain address where the funds will be sent

developer_fee_percentstringOptional

Custom developer fee percentage for the Virtual Account

Example: 0.5Pattern: ^[0-9]+(\.[0-9]+)?$
deposit_instructionsone ofOptional
or
or
put/v0/customers/{customer_id}/virtual-account/{virtual_account_id}
PUT /v0/customers/{customer_id}/virtual-account/{virtual_account_id} HTTP/1.1
Host: api.alignlabs.dev
Api-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 87

{
  "destination_address": "text",
  "developer_fee_percent": "0.5",
  "destination_token": "usdc"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "active",
  "destination_token": "usdc",
  "destination_network": "polygon",
  "destination_address": "text",
  "developer_fee_percent": "0.5",
  "deposit_instructions": {
    "payment_rails": [
      "sepa"
    ],
    "currency": "eur",
    "bank_name": "text",
    "bank_address": "text",
    "account_holder_name": "text",
    "iban": {
      "bic": "text",
      "iban_number": "text"
    }
  }
}

Last updated